<?php
/***
*
*@package binzcms
*@version $id:ModAdminHtmlClass.php, v 1.0
*@author 斌子
*@Thu Jan 15 01:00:49 CST 2009
*@copyright (c) 2009-2010 binzcms
*
*/
if(!defined("BINZCMS")) {
	die("hacking");
}
/**
 *
 * ModAdminHtmlClass
 * 生成html应用类
 * 
 */
class ModAdminHtmlClass extends BaseClass {
	/**
	 * __construct
	 *
	 * 构造函数
	 * @access  public（权限）
	 */
	public function __construct($act) {
		parent::__construct($act);
	}
	public function mod_create_index_html() {
		
		$index_content	= @file_get_contents(WEB_HOST.'/index.php');
		$create_state	= @file_put_contents(ROOT_PATH.trim($_POST['index_file']),$index_content);
		
		return $create_state;
	}
	/**
	 * __destruct
	 *
	 * 析构函数
	 * @access  public（权限）
	 */
	public function __destruct() {
		
	}
}
?>